Skip to main content

Resolve data stored in microblocks

POST 

/api/v1/wallet/:walletId/resolve

Recursively resolves microblock data.

Request​

Path Parameters

    walletId objectrequired

Body

required

    linkedJson

    object

    required

    The JSON data from which the resolution starts.

    property name* any

    The JSON data from which the resolution starts.

    policies

    object

    required

    onResolutionFailure Expected behavior on resolution failure (string)

    Possible values: [throw, ignore]

    Default value: throw

    Field indicating whether to raise an exception or ignore the error if a resolution fails.

    onCyclicResolution Expected behavior on cyclic resolution (string)

    Possible values: [throw, ignore]

    Default value: throw

    Field indicating whether to raise an exception or ignore the error if a cyclic resolution is detected.

Responses​

A Carmentis proof containing the resolved data.

Schema

    info

    object

    required

    version Proof format version (number)required
    chainId Chain identifier (string)required
    description Proof description (string)required
    author Proof author (string)required
    date Proof creation date (string)required

    proof

    object

    required

    linkedJson

    object

    required

    The JSON data from which the resolution starts.

    property name* any

    The JSON data from which the resolution starts.

    resolvedJson

    object

    required

    The full resolved data, as JSON.

    property name* any

    The full resolved data, as JSON.

    signature

    object

    required

    commitment

    object

    required

    issuedAt Signature issuance date (string)required
    digestAlg Used digest algorithm (string)required
    digestTarget Digest target (string)required
    digest Signed digest (string)required
    signer The signer of the proof (string)required
    pubkey The public key of the signer (string)required
    alg The signature algorithm (string)required
    sig The signature (string)required
Loading...